Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » debugging » debugLevel
next | previous | forward | backward | up | index | toc

# debugLevel -- current debugging level

- Usage:
    `debugLevel = n`
- Inputs:
  - n, an integer

## Description

Some M2 routines will display debugging information if debugLevel is set to a value greater than 0.

## See also

- gbTrace -- current engine computation tracing level
- engineDebugLevel -- current engine debugging level

## For the programmer

The object debugLevel is an integer.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_debugging.m2:228:0.